Bug 414077 - Purge the index when indexing is disabled
Summary: Purge the index when indexing is disabled
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_baloo (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: baloo-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-12 21:39 UTC by Nate Graham
Modified: 2021-04-23 00:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2019-11-12 21:39:08 UTC
The only reason why someone would want to disable file indexing entirely is because they don't want their files indexed. This implies that if their files are already index, they would like the index deleted. Ergo, disabling inexing in the KCM should delete the index too.
Comment 1 Nate Graham 2019-11-12 22:17:06 UTC
Patch: https://phabricator.kde.org/D25280
Comment 2 Justin Zobel 2021-03-13 02:05:52 UTC
Marking assigned as Nate has already created a patch for it, have requested on the Phab diff that it be moved to Gitlab.
Comment 3 Bug Janitor Service 2021-04-14 22:01:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/427
Comment 4 Bug Janitor Service 2021-04-16 20:43:40 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/432
Comment 5 Nate Graham 2021-04-23 00:46:45 UTC
Git commit f668bcda506dbf93893c4907725f286b9caaa0b6 by Nate Graham.
Committed on 23/04/2021 at 00:44.
Pushed by ngraham into branch 'master'.

[kcms/baloo] Offer to delete index after indexing is disabled

When the user disables indexing, the KCM now offers to remove the saved
index data. This may be useful for privacy or security purposes.
FIXED-IN:5.22

M  +22   -0    kcms/baloo/kcm.cpp
M  +3    -0    kcms/baloo/kcm.h
M  +19   -0    kcms/baloo/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/f668bcda506dbf93893c4907725f286b9caaa0b6